VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "LenSoft Inc. Drive Control"
   ClientHeight    =   3585
   ClientLeft      =   45
   ClientTop       =   315
   ClientWidth     =   6030
   Icon            =   "drives.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3585
   ScaleWidth      =   6030
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame2 
      Caption         =   "Advanced Information"
      Height          =   1095
      Left            =   120
      TabIndex        =   10
      Top             =   2400
      Width           =   3495
      Begin VB.Label Label14 
         Height          =   255
         Left            =   840
         TabIndex        =   16
         Top             =   720
         Width           =   2535
      End
      Begin VB.Label Label13 
         Height          =   255
         Left            =   1200
         TabIndex        =   15
         Top             =   480
         Width           =   2175
      End
      Begin VB.Label Label12 
         Height          =   255
         Left            =   1200
         TabIndex        =   14
         Top             =   240
         Width           =   2175
      End
      Begin VB.Label Label11 
         Caption         =   "Clusters:"
         Height          =   255
         Left            =   120
         TabIndex        =   13
         Top             =   720
         Width           =   615
      End
      Begin VB.Label Label10 
         Caption         =   "Bytes/Sector:"
         Height          =   255
         Left            =   120
         TabIndex        =   12
         Top             =   480
         Width           =   1095
      End
      Begin VB.Label Label9 
         Caption         =   "Free Sectors:"
         Height          =   255
         Left            =   120
         TabIndex        =   11
         Top             =   240
         Width           =   975
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Drive and Directory Information"
      Height          =   2175
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5655
      Begin VB.DriveListBox Drive1 
         Height          =   315
         Left            =   120
         TabIndex        =   8
         Top             =   360
         Width           =   1335
      End
      Begin VB.Label Label8 
         Height          =   255
         Left            =   1800
         TabIndex        =   7
         Top             =   1800
         Width           =   2895
      End
      Begin VB.Label Label7 
         Height          =   375
         Left            =   1800
         TabIndex        =   6
         Top             =   1320
         Width           =   3735
      End
      Begin VB.Label Label6 
         Height          =   255
         Left            =   1800
         TabIndex        =   5
         Top             =   840
         Width           =   2775
      End
      Begin VB.Label Label5 
         Height          =   255
         Left            =   1800
         TabIndex        =   4
         Top             =   360
         Width           =   3015
      End
      Begin VB.Label Label4 
         Caption         =   "Windows Directory:"
         Height          =   255
         Left            =   120
         TabIndex        =   3
         Top             =   1800
         Width           =   1695
      End
      Begin VB.Label Label3 
         Caption         =   "Current Directory:"
         Height          =   255
         Left            =   120
         TabIndex        =   2
         Top             =   1320
         Width           =   1455
      End
      Begin VB.Label Label2 
         Caption         =   "Free Disk Space:"
         Height          =   255
         Left            =   120
         TabIndex        =   1
         Top             =   840
         Width           =   1335
      End
   End
   Begin VB.Label Label15 
      Alignment       =   2  'Center
      BackColor       =   &H00E0E0E0&
      Caption         =   "Quit"
      Height          =   255
      Left            =   3960
      TabIndex        =   17
      Top             =   2880
      Width           =   1575
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      BackColor       =   &H00E0E0E0&
      Caption         =   "Get Drive Info"
      Height          =   255
      Left            =   3960
      TabIndex        =   9
      Top             =   2520
      Width           =   1575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'This program demonstrates the use of Getdrive type
'and all of its properties
'You can also view the free-space info in Sectors & Clusters
'Created by Lennert Van Damme
'lennertvandamme@Hotmail.com

Private Declare Function GetDriveType Lib "kernel32" Alias "GetDriveTypeA" _
        (ByVal nDrive As String) As Long

Private Declare Function GetDiskFreeSpace Lib "kernel32" Alias "GetDiskFreeSpaceA" _
    (ByVal lpRootPathName As String, lpSectorsPerCluster As Long, _
    lpBytesPerSector As Long, lpNumberOfFreeClusters As Long, _
    lpTtoalNumberOfClusters As Long) As Long
    
Private Declare Function GetCurrentDirectory Lib "kernel32" Alias "GetCurrentDirectoryA" _
    (ByVal nBufferLength As Long, ByVal lpBuffer As String) As Long

Private Declare Function GetWindowsDirectory Lib "kernel32" _
    Alias "GetWindowsDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long

Const DRIVE_CDROM = 5
Const DRIVE_FIXED = 3
Const DRIVE_RAMDISK = 6
Const DRIVE_REMOTE = 4
Const DRIVE_REMOVABLE = 2

Private Sub Label1_Click()
Dim driveType As Long
Dim freeSpace As Long
Dim Sectors As Long
Dim Bytes As Long
Dim freeClusters As Long
Dim totalClusters As Long
Dim retValue As Long
Dim buffer As String * 255
driveType = GetDriveType(Drive1.Drive & "\")
Select Case driveType
Case 0
Label5.Caption = "UNDETERMINED"
Case 1
Label5.Caption = "NO ROOT"
Case DRIVE_REMOVABLE
Label5.Caption = "REMOVABLE"
Case DRIVE_FIXED
Label5.Caption = "FIXED"
Case DRIVE_REMOTE
Label5.Caption = "REMOTE"
Case DRIVE_CDROM
Label5.Caption = "CDROM"
Case DRIVE_RAMDISK
Label5.Caption = "RAMDISK"
End Select
retValue = GetDiskFreeSpace(Left(Drive1.Drive, 2) & "\", Sectors, Bytes, freeClusters, totalClusters)
If retValue > 0 Then
    Label6.Caption = Sectors * Bytes * freeClusters
    Label12.Caption = Sectors
    Label13.Caption = Bytes
    Label14.Caption = freeClusters
Else
    Label6.Caption = "Not Available"
    Label12.Caption = "Not Available"
    Label13.Caption = "Not Available"
    Label14.Caption = "Not Available"
End If

retValue = GetCurrentDirectory(255, buffer)
Label7.Caption = buffer
retValue = GetWindowsDirectory(buffer, 255)
Label8.Caption = buffer
End Sub

Private Sub Label15_Click()
Unload Me
End Sub
